AkaiProgram Class Reference

AKAI instrument definition. More...

`#include <Akai.h>`

## Public Member Functions

AkaiDirEntry | GetDirEntry ()
uint | ListSamples (std::list< String > &rSamples)
AkaiSample * | GetSample (uint Index)
AkaiSample * | GetSample (const String &rName)
bool | Load ()
AkaiVolume * | GetParent ()
uint | GetOffset ()
uint | Acquire ()
uint | Release ()

## Public Attributes

String | mName
uint8_t | mMidiProgramNumber
uint8_t | mMidiChannel
uint8_t | mPolyphony
uint8_t | mPriority
uint8_t | mLowKey
uint8_t | mHighKey
int8_t | mOctaveShift
uint8_t | mAuxOutputSelect
uint8_t | mMixOutputSelect
int8_t | mMixPan
uint8_t | mVolume
int8_t | mVelocityToVolume
int8_t | mKeyToVolume
int8_t | mPressureToVolume
uint8_t | mPanLFORate
uint8_t | mPanLFODepth
uint8_t | mPanLFODelay
int8_t | mKeyToPan
uint8_t | mLFORate
uint8_t | mLFODepth
uint8_t | mLFODelay
uint8_t | mModulationToLFODepth
uint8_t | mPressureToLFODepth
uint8_t | mVelocityToLFODepth
uint8_t | mBendToPitch
int8_t | mPressureToPitch
bool | mKeygroupCrossfade
uint8_t | mNumberOfKeygroups
int8_t | mKeyTemperament [11]
bool | mFXOutput
int8_t | mModulationToPan
bool | mStereoCoherence
bool | mLFODesync
uint8_t | mPitchLaw
uint8_t | mVoiceReassign
uint8_t | mSoftpedToVolume
uint8_t | mSoftpedToAttack
uint8_t | mSoftpedToFilter
int8_t | mSoftpedToTuneCents
int8_t | mSoftpedToTuneSemitones
int8_t | mKeyToLFORate
int8_t | mKeyToLFODepth
int8_t | mKeyToLFODelay
uint8_t | mVoiceOutputScale
uint8_t | mStereoOutputScale
AkaiKeygroup * | mpKeygroups

## Protected Member Functions

void | SetOffset (uint Offset)
void | AkaiToAscii (char *buffer, int length)
int | ReadFAT (DiskImage *pDisk, AkaiPartition *pPartition, int block)
bool | ReadDirEntry (DiskImage *pDisk, AkaiPartition *pPartition, AkaiDirEntry &rEntry, int block, int pos)

## Detailed Description

AKAI instrument definition.

Represents exactly one sample based instrument on the AKAI media.

Definition at line 482 of file Akai.h.

## Member Function Documentation

## Acquire()

uint Resource::Acquire | ( |  | ) |

inline inherited

Definition at line 183 of file Akai.h.

## AkaiToAscii()

void AkaiDiskElement::AkaiToAscii | ( | char * | buffer,
|  | int | length )

protected inherited

Definition at line 1239 of file Akai.cpp.

## GetDirEntry()

AkaiDirEntry AkaiProgram::GetDirEntry | ( |  | ) |

Definition at line 499 of file Akai.cpp.

## GetOffset()

uint AkaiDiskElement::GetOffset | ( |  | ) |

inline inherited

Definition at line 220 of file Akai.h.

## GetParent()

AkaiVolume * AkaiProgram::GetParent | ( |  | ) |

inline

Definition at line 593 of file Akai.h.

## GetSample() [1/2]

AkaiSample * AkaiProgram::GetSample | ( | const String & | rName | ) |

Definition at line 650 of file Akai.cpp.

## GetSample() [2/2]

AkaiSample * AkaiProgram::GetSample | ( | uint | Index | ) |

Definition at line 645 of file Akai.cpp.

## ListSamples()

uint AkaiProgram::ListSamples | ( | std::list< String > & | rSamples | ) |

Definition at line 640 of file Akai.cpp.

## Load()

bool AkaiProgram::Load | ( |  | ) |

Definition at line 504 of file Akai.cpp.

## ReadDirEntry()

bool AkaiDiskElement::ReadDirEntry | ( | DiskImage * | pDisk,
|  | AkaiPartition * | pPartition,
|  | AkaiDirEntry & | rEntry,
|  | int | block,
|  | int | pos )

protected inherited

Definition at line 1191 of file Akai.cpp.

## ReadFAT()

int AkaiDiskElement::ReadFAT | ( | DiskImage * | pDisk,
|  | AkaiPartition * | pPartition,
|  | int | block )

protected inherited

Definition at line 1182 of file Akai.cpp.

## Release()

uint Resource::Release | ( |  | ) |

inline inherited

Definition at line 187 of file Akai.h.

## SetOffset()

void AkaiDiskElement::SetOffset | ( | uint | Offset | ) |

inline protected inherited

Definition at line 226 of file Akai.h.

## Member Data Documentation

## mAuxOutputSelect

uint8_t AkaiProgram::mAuxOutputSelect

Definition at line 512 of file Akai.h.

## mBendToPitch

uint8_t AkaiProgram::mBendToPitch

Definition at line 546 of file Akai.h.

## mFXOutput

bool AkaiProgram::mFXOutput

Definition at line 557 of file Akai.h.

## mHighKey

uint8_t AkaiProgram::mHighKey

Definition at line 508 of file Akai.h.

## mKeygroupCrossfade

bool AkaiProgram::mKeygroupCrossfade

Definition at line 550 of file Akai.h.

## mKeyTemperament

int8_t AkaiProgram::mKeyTemperament[11]

Definition at line 555 of file Akai.h.

## mKeyToLFODelay

int8_t AkaiProgram::mKeyToLFODelay

Definition at line 583 of file Akai.h.

## mKeyToLFODepth

int8_t AkaiProgram::mKeyToLFODepth

Definition at line 581 of file Akai.h.

## mKeyToLFORate

int8_t AkaiProgram::mKeyToLFORate

Definition at line 579 of file Akai.h.

## mKeyToPan

int8_t AkaiProgram::mKeyToPan

Definition at line 532 of file Akai.h.

## mKeyToVolume

int8_t AkaiProgram::mKeyToVolume

Definition at line 522 of file Akai.h.

## mLFODelay

uint8_t AkaiProgram::mLFODelay

Definition at line 538 of file Akai.h.

## mLFODepth

uint8_t AkaiProgram::mLFODepth

Definition at line 536 of file Akai.h.

## mLFODesync

bool AkaiProgram::mLFODesync

Definition at line 563 of file Akai.h.

## mLFORate

uint8_t AkaiProgram::mLFORate

Definition at line 534 of file Akai.h.

## mLowKey

uint8_t AkaiProgram::mLowKey

Definition at line 506 of file Akai.h.

## mMidiChannel

uint8_t AkaiProgram::mMidiChannel

Definition at line 500 of file Akai.h.

## mMidiProgramNumber

uint8_t AkaiProgram::mMidiProgramNumber

Definition at line 498 of file Akai.h.

## mMixOutputSelect

uint8_t AkaiProgram::mMixOutputSelect

Definition at line 514 of file Akai.h.

## mMixPan

int8_t AkaiProgram::mMixPan

Definition at line 516 of file Akai.h.

## mModulationToLFODepth

uint8_t AkaiProgram::mModulationToLFODepth

Definition at line 540 of file Akai.h.

## mModulationToPan

int8_t AkaiProgram::mModulationToPan

Definition at line 559 of file Akai.h.

## mName

String AkaiProgram::mName

Definition at line 496 of file Akai.h.

## mNumberOfKeygroups

uint8_t AkaiProgram::mNumberOfKeygroups

Definition at line 552 of file Akai.h.

## mOctaveShift

int8_t AkaiProgram::mOctaveShift

Definition at line 510 of file Akai.h.

## mPanLFODelay

uint8_t AkaiProgram::mPanLFODelay

Definition at line 530 of file Akai.h.

## mPanLFODepth

uint8_t AkaiProgram::mPanLFODepth

Definition at line 528 of file Akai.h.

## mPanLFORate

uint8_t AkaiProgram::mPanLFORate

Definition at line 526 of file Akai.h.

## mPitchLaw

uint8_t AkaiProgram::mPitchLaw

Definition at line 565 of file Akai.h.

## mpKeygroups

AkaiKeygroup* AkaiProgram::mpKeygroups

Definition at line 590 of file Akai.h.

## mPolyphony

uint8_t AkaiProgram::mPolyphony

Definition at line 502 of file Akai.h.

## mPressureToLFODepth

uint8_t AkaiProgram::mPressureToLFODepth

Definition at line 542 of file Akai.h.

## mPressureToPitch

int8_t AkaiProgram::mPressureToPitch

Definition at line 548 of file Akai.h.

## mPressureToVolume

int8_t AkaiProgram::mPressureToVolume

Definition at line 524 of file Akai.h.

## mPriority

uint8_t AkaiProgram::mPriority

Definition at line 504 of file Akai.h.

## mSoftpedToAttack

uint8_t AkaiProgram::mSoftpedToAttack

Definition at line 571 of file Akai.h.

## mSoftpedToFilter

uint8_t AkaiProgram::mSoftpedToFilter

Definition at line 573 of file Akai.h.

## mSoftpedToTuneCents

int8_t AkaiProgram::mSoftpedToTuneCents

Definition at line 575 of file Akai.h.

## mSoftpedToTuneSemitones

int8_t AkaiProgram::mSoftpedToTuneSemitones

Definition at line 577 of file Akai.h.

## mSoftpedToVolume

uint8_t AkaiProgram::mSoftpedToVolume

Definition at line 569 of file Akai.h.

## mStereoCoherence

bool AkaiProgram::mStereoCoherence

Definition at line 561 of file Akai.h.

## mStereoOutputScale

uint8_t AkaiProgram::mStereoOutputScale

Definition at line 587 of file Akai.h.

## mVelocityToLFODepth

uint8_t AkaiProgram::mVelocityToLFODepth

Definition at line 544 of file Akai.h.

## mVelocityToVolume

int8_t AkaiProgram::mVelocityToVolume

Definition at line 520 of file Akai.h.

## mVoiceOutputScale

uint8_t AkaiProgram::mVoiceOutputScale

Definition at line 585 of file Akai.h.

## mVoiceReassign

uint8_t AkaiProgram::mVoiceReassign

Definition at line 567 of file Akai.h.

## mVolume

uint8_t AkaiProgram::mVolume

Definition at line 518 of file Akai.h.

The documentation for this class was generated from the following files:

- Akai.h
- Akai.cpp